## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

%global crate git-delta

Name:           rust-%{crate}
Version:        0.13.0
Release:        %autorelease
Summary:        Syntax-highlighting pager for git

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/git-delta
Source0:        %{crates_source}
Source1:        LICENSE.dependencies

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Syntax-highlighting pager for git.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# CC0
# LGPLv3+
# MIT
# MIT OR Apache-2.0
# MIT and GPLv2 with exceptions and BSD
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ASL 2.0 and BSD and CC0 and GPLv2 with exceptions and LGPLv3+ and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc ARCHITECTURE.md
%doc CONTRIBUTING.md
%doc README.md
%{_bindir}/delta
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/delta.bash
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_delta

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo 'git-core'
%endif

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 etc/completion/completion.bash \
  -T %{buildroot}%{_datadir}/bash-completion/completions/delta.bash
install -Dpm0644 etc/completion/completion.zsh \
  -T %{buildroot}%{_datadir}/zsh/site-functions/_delta

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> 0.13.0-4
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> 0.13.0-1
- Update to version 0.13.0; Fixes RHBZ#2017604

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.8.3-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 28 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.8.3-2
- Rebuild for libgit2 1.3.x

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> 0.8.3-1
- Update to version 0.8.3; Fixes RHBZ#1976166

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-1
- Update to version 0.8.0.
- Fixes RHBZ#1944442

* Fri Feb 05 17:25:00 CET 2021 Stefano Figura <stefano@figura.im> - 0.6.0-1
- Update to 0.6.0 (Fixes: RHBZ#1925552)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 10 18:29:33 CET 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1 (Fixes: RHBZ#1911749)

* Tue Dec 29 17:00:21 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5 (Fixes: RHBZ#1910300)

* Tue Dec 29 14:21:55 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.4-2
- Rebuild against libgit2 1.1.x

* Sun Nov 29 20:54:00 CEST 2020 Stefano Figura <stefano@figura.im> - 0.4.4-1
- Update to 0.4.4

* Thu Aug 27 16:43:44 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Sun Aug 16 15:01:28 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-4
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 08:01:45 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-2
- Update shell-words to 1

* Sat May 02 10:50:26 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.1-1
- Initial package

